aboutsummaryrefslogtreecommitdiff
path: root/python/python3-yarl/python3-yarl.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'python/python3-yarl/python3-yarl.SlackBuild')
-rw-r--r--python/python3-yarl/python3-yarl.SlackBuild10
1 files changed, 7 insertions, 3 deletions
diff --git a/python/python3-yarl/python3-yarl.SlackBuild b/python/python3-yarl/python3-yarl.SlackBuild
index 3f1eecd7c9..ef679680c3 100644
--- a/python/python3-yarl/python3-yarl.SlackBuild
+++ b/python/python3-yarl/python3-yarl.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for python3-yarl
# Copyright 2019-2023 Isaac Yu <isaacyu@protonmail.com>
-# Maintained 2023-2024 by Jay Lanagan (j@lngn.net), Detroit, MI, USA.
+# Maintained 2023-2025 by Jay Lanagan (j@lngn.net), Detroit, MI, USA.
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=python3-yarl
-VERSION=${VERSION:-1.15.2}
+VERSION=${VERSION:-1.18.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -65,7 +65,11 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-python3 -m build --config-setting=--pure-python=false --no-isolation || exit 1
+PYVER=$(python3 -c 'import sys; print("%d.%d" % sys.version_info[:2])')
+export PYTHONPATH="/opt/python$PYVER/site-packages:/opt/cython/python$PYVER/site-packages"
+export PATH="/opt/cython/bin:$PATH"
+
+python3 -m build --wheel --no-isolation || exit 1
python3 -m installer -d "$PKG" dist/*.whl
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \